SELECT P.PROJECT_ID,
       P.NAME
from PROJECT P
		 join CUSTOM_FIELD_BINDING CFB on P.PROJECT_ID = CFB.BOUND_PROJECT_ID
		 join CUSTOM_FIELD_VALUE CFV on CFB.CFB_ID=CFV.CFB_ID
		 join CUSTOM_FIELD_VALUE_OPTION CFVO on CFVO.CFV_ID = CFV.CFV_ID
where CFVO.LABEL in (:tags)
	and P.PROJECT_TYPE = 'P'
    and P.PROJECT_ID in (:projectIds)
group by P.PROJECT_ID
order by P.NAME
